跳至內容
ShopentlyLearn

封存 · 文章

發布、排程與封存文章

POST/api/v1/addons/shopently.blog/posts/{post_id}/archive

cURL 請求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/addons/shopently.blog/posts/2103ba96-2713-420b-b197-8a008730c851/archive \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: learn-14c6494b41f142189df2b60be2bae407' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":3}'

回應

{
  "data": {
    "id": "2103ba96-2713-420b-b197-8a008730c851",
    "status": "archived",
    "version": 4
  },
  "meta": {
    "request_id": "132f5ca3-88c0-4c81-b6b2-cc8c67efc1cc"
  }
}

所需權限

身份驗證
存取權杖
最低方案
BASIC
金鑰權限
發布、排程與封存文章addon.shopently.blog:post_publish
所需的已安裝模組

shopently.blog